Create a line item

There are multiple ways to create line items.

With menu item id

Line items created with a menu_item_id will inherit all the properties of the menu item. You can optionally pass in line item attributes to override those of the menu items. For Example:

{
  "data": {
    "type": "line_items",
    "attributes": {
        "booking_id": 1,
        "menu_item_id": 1
    }
  }
}

With tax inclusive pricing

Line items can be created with tax inclusiving pricing when use_tax_included_price is true and tax_included_price is provided in the request. tax_included_price is only applicable if use_tax_included_price is true. For Example:

{
  "data": {
    "type": "line_items",
    "attributes": {
        "booking_id": 1,
        "name": "Pizza",
        "tax_included_price": "15.00",
        "use_tax_included_price": true
    }
  }
}

With tax ids

Line items can be created with taxes when tax_ids is provided in the request. For Example:

{
  "data": {
    "type": "line_items",
    "attributes": {
        "booking_id": 1,
        "name": "Hotdog",
        "tax_ids": [1,2,3]
    }
  }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
data
object
Headers
string
required

The API organization ID of the organization to which the request is scoped

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.api+json